Package org.eclipse.net4j.util

# Interface IDChanger.ChangeHandler

Enclosing class:
  `IDChanger`

public static interface IDChanger.ChangeHandler
A handler for ID changes.

The handler is called for single changes, consecutive changes, and arbitrary changes.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`handleArbitraryChanges(List<Integer> affectedIDs, int shift)`
Handles arbitrary ID changes for the given list of affected IDs, shifted by the given amount.
`default void`
`handleConsecutiveChanges(int firstID, int lastID, int shift)`
Handles consecutive ID changes from firstID to lastID, shifted by the given amount.
`default void`
`handleSingleChange(int oldID, int newID)`
Handles a single ID change from oldID to newID.

## Method Details

### handleSingleChange

default void handleSingleChange(int oldID, int newID)
Handles a single ID change from oldID to newID.

### handleConsecutiveChanges

default void handleConsecutiveChanges(int firstID, int lastID, int shift)
Handles consecutive ID changes from firstID to lastID, shifted by the given amount.

### handleArbitraryChanges

void handleArbitraryChanges(List<Integer> affectedIDs, int shift)
Handles arbitrary ID changes for the given list of affected IDs, shifted by the given amount.